Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(124)

Issue 23654036: pdf: report NYI features, and fail gracefully when something is not supported in pdf. (Closed)

Created:
6 years ago by edisonn
Modified:
5 years, 12 months ago
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

pdf: report NYI features, and fail gracefully when something is not supported in pdf. R=vandebo@chromium.org Committed: https://code.google.com/p/skia/source/detail?r=11388

Patch Set 1 #

Patch Set 2 : #

Total comments: 8

Patch Set 3 : #

Patch Set 4 : #

Total comments: 10

Patch Set 5 : #

Patch Set 6 : #

Total comments: 2

Patch Set 7 : #

Patch Set 8 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+16 lines, -0 lines) Patch
src/pdf/SkPDFDevice.cpp View 1 2 3 4 5 6 7 3 chunks +16 lines, -0 lines 0 comments Download

Messages

Total messages: 12 (0 generated)
edisonn
6 years ago (2013-09-12 19:21:15 UTC) #1
vandebo (ex-Chrome)
https://codereview.chromium.org/23654036/diff/5001/gm/gradients.cpp File gm/gradients.cpp (right): https://codereview.chromium.org/23654036/diff/5001/gm/gradients.cpp#newcode111 gm/gradients.cpp:111: virtual SkISize onISize() { return make_isize(840, 815); } Of ...
6 years ago (2013-09-12 21:37:05 UTC) #2
edisonn
https://codereview.chromium.org/23654036/diff/5001/gm/gradients.cpp File gm/gradients.cpp (right): https://codereview.chromium.org/23654036/diff/5001/gm/gradients.cpp#newcode111 gm/gradients.cpp:111: virtual SkISize onISize() { return make_isize(840, 815); } On ...
6 years ago (2013-09-17 15:14:23 UTC) #3
vandebo (ex-Chrome)
https://codereview.chromium.org/23654036/diff/14001/src/pdf/SkPDFDevice.cpp File src/pdf/SkPDFDevice.cpp (right): https://codereview.chromium.org/23654036/diff/14001/src/pdf/SkPDFDevice.cpp#newcode635 src/pdf/SkPDFDevice.cpp:635: if (matrix.hasPerspective() || The predominate style of this file ...
6 years ago (2013-09-17 16:35:09 UTC) #4
edisonn
https://codereview.chromium.org/23654036/diff/14001/src/pdf/SkPDFDevice.cpp File src/pdf/SkPDFDevice.cpp (right): https://codereview.chromium.org/23654036/diff/14001/src/pdf/SkPDFDevice.cpp#newcode635 src/pdf/SkPDFDevice.cpp:635: if (matrix.hasPerspective() || On 2013/09/17 16:35:09, vandebo wrote: > ...
6 years ago (2013-09-17 17:32:03 UTC) #5
vandebo (ex-Chrome)
LGTM https://codereview.chromium.org/23654036/diff/20001/src/pdf/SkPDFDevice.cpp File src/pdf/SkPDFDevice.cpp (right): https://codereview.chromium.org/23654036/diff/20001/src/pdf/SkPDFDevice.cpp#newcode637 src/pdf/SkPDFDevice.cpp:637: paint.getShader()->getLocalMatrix().hasPerspective())) { nit: indent one more space.
6 years ago (2013-09-17 17:46:17 UTC) #6
edisonn
https://codereview.chromium.org/23654036/diff/20001/src/pdf/SkPDFDevice.cpp File src/pdf/SkPDFDevice.cpp (right): https://codereview.chromium.org/23654036/diff/20001/src/pdf/SkPDFDevice.cpp#newcode637 src/pdf/SkPDFDevice.cpp:637: paint.getShader()->getLocalMatrix().hasPerspective())) { On 2013/09/17 17:46:17, vandebo wrote: > nit: ...
6 years ago (2013-09-17 18:01:50 UTC) #7
edisonn
Committed patchset #8 manually as r11388 (presubmit successful).
5 years, 12 months ago (2013-09-19 17:36:50 UTC) #8
epoger
Edi- Is this a case for which it would be helpful for the ignored_tests.txt to ...
5 years, 12 months ago (2013-09-19 18:13:34 UTC) #9
edisonn
On 2013/09/19 18:13:34, epoger wrote: > Edi- > > Is this a case for which ...
5 years, 12 months ago (2013-09-19 18:16:20 UTC) #10
edisonn
On 2013/09/19 18:16:20, edisonn wrote: > On 2013/09/19 18:13:34, epoger wrote: > > Edi- > ...
5 years, 12 months ago (2013-09-19 18:18:23 UTC) #11
epoger
5 years, 12 months ago (2013-09-19 18:19:40 UTC) #12
Message was sent while issue was closed.
> Actually for this kind of tests, it might be useful to have a sort of version
of
> try, that will report back new images and new checksums, which I could apply
it
> to my cl, and I would get no failure at all when I check in

Yup, that's the long-term plan.  I should note that in bug 1600.

Powered by Google App Engine
This is Rietveld 408576698